YSTest: YSLib::Components::UIEventArgs Struct Reference

YSTest PreAlpha_b380_20130211 The YSLib Test Project

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Member Functions | Private Attributes | List of all members
YSLib::Components::UIEventArgs Struct Reference

用户界面事件参数基类。 More...

`#include <ywgtevt.h>`

Inheritance diagram for YSLib::Components::UIEventArgs:
[legend]
Collaboration diagram for YSLib::Components::UIEventArgs:
[legend]

## Public Member Functions

| UIEventArgs (IWidget &wgt)
| UIEventArgs (const UIEventArgs &)=default
| 复制构造：默认实现。
UIEventArgs & | operator= (const UIEventArgs &)=default
| 复制赋值：默认实现。
IWidget & | GetSender () const ynothrow
void | SetSender (IWidget &wgt)

## Private Attributes

IWidget * | pSender

## Detailed Description

用户界面事件参数基类。

Warning
  非虚析构。

Since
  build 255

Definition at line 54 of file ywgtevt.h.

## Constructor & Destructor Documentation

YSLib::Components::UIEventArgs::UIEventArgs | ( | IWidget & | wgt | ) |

inlineexplicit

Definition at line 61 of file ywgtevt.h.

YSLib::Components::UIEventArgs::UIEventArgs | ( | const UIEventArgs & |  | ) |

inlinedefault

复制构造：默认实现。

Since
  build 295

## Member Function Documentation

IWidget& YSLib::Components::UIEventArgs::GetSender | ( |  | ) | const

inline

Definition at line 76 of file ywgtevt.h.

Referenced by YSLib::Components::GUIState::ResponseKey(), YSLib::Components::GUIState::ResponseKeyBase(), YSLib::Components::GUIState::ResponseTouch(), and YSLib::Components::GUIState::ResponseTouchBase().

Here is the caller graph for this function:

UIEventArgs& YSLib::Components::UIEventArgs::operator= | ( | const UIEventArgs & |  | ) |

inlinedefault

复制赋值：默认实现。

Since
  build 295

void YSLib::Components::UIEventArgs::SetSender | ( | IWidget & | wgt | ) |

inline

Definition at line 77 of file ywgtevt.h.

Referenced by YSLib::Components::GUIState::ResponseKey(), YSLib::Components::GUIState::ResponseTouch(), and YSLib::Components::GUIState::ResponseTouchBase().

Here is the caller graph for this function:

## Member Data Documentation

IWidget* YSLib::Components::UIEventArgs::pSender

private

Definition at line 57 of file ywgtevt.h.

The documentation for this struct was generated from the following file:

- ywgtevt.h